# SPDX-FileCopyrightText: 2020 IN COMMON Collective <collective@incommon.cc>
#
# SPDX-License-Identifier: AGPL-3.0-or-later

class ApplicationController < ActionController::Base
  require 'sso'

  before_action :current_user

  protected

  include ApplicationHelper

  def current_agent
    @current_agent = Agent.find_by(name: session[:current_agent] || current_user.presence&.agents&.first&.name || 'incommon')
  end
  helper_method :current_agent

  def current_user
    @current_user ||= User.find_by(external_id: session[:current_user]) if session[:current_user].present?
  end
  helper_method :current_user
end
